Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 02 Sep 2014, 08:59
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Updated browsers and other software for Puppy 4.3.1
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
sullysat


Joined: 16 Oct 2007
Posts: 364
Location: San Antonio, TX

PostPosted: Sun 24 Mar 2013, 01:18    Post subject:  Updated browsers and other software for Puppy 4.3.1
Subject description: Collecting Pets and SFS files for 4.3.1
 

Okay, here's the deal...

According to Barry K's development notes, 4.3.1 was the last "official" Puppy prior to moving to the Woof build system. It is also a very popular, stable Puppy for use on older hardware, which is important to me.

But there's a problem. The browser in this version is outdated for things like YouTube and some HTML5 websites. With so much of today's computing happening on the internet, that's a problem, IMO.

So, does anyone have ANY extra PETS or SFS files designed for 4.3.1? Especially a current browser?

Given the changes in direction in recent years to support newer hardware, I've decided to be more proactive about archiving and mirroring Puppies, Derivatives, and packages that support older, less current hardware, but I need help with this from those who are using this version.

Thanks,
Sully

_________________
Puppy Files Mirror - http://www.wisdom-seekers.com/puppy.html
Classic Puppy Page - http://www.wisdom-seekers.com/puppy214x.html
Back to top
View user's profile Send private message 
Ray MK


Joined: 05 Feb 2008
Posts: 764
Location: UK

PostPosted: Sun 24 Mar 2013, 01:57    Post subject:  

Would this work?

Pemasu wrote:
How I would update them. I would download from Seamonkey site the latest one, uncompress it and then I would swap the contents of /usr/lib/seamonkey folder, in this case the folder /usr/lib/seamonkey-2.13.1. That way you would get the latest Seamonkey and you would be in update channel and no need to eat savefile more than needed.

Presumably the same process could be used for any browser.

Just tried it in UP-3.8.3.1 and it works - fantastic - so easy. Now running SM-2.17b1 - nice.

Anyone using 4.3.1 want to give it a go and report?

_________________
Asus 701SD. 2gig ram. 8gb SSD. IBM A21m laptop. 192mb ram. PIII Coppermine proc. X60 T2400 1.8Ghz proc. 2gig ram. 80gb hdd. T41 Pentium M 1400Mhz. 512mb ram.
Back to top
View user's profile Send private message 
Monsie


Joined: 01 Dec 2011
Posts: 633
Location: Kamloops BC Canada

PostPosted: Sun 24 Mar 2013, 03:55    Post subject: Updated browsers and other software for Puppy 4.3.1  

sullysat,

Shinobar put together a fairly recent version of SeaMonkey last year as a sfs package. I haven't tested it yet, but it is supposed to work in Puppy 4x (as well as Puppy 5x) and it includes the dbus files (dependancies). Have a look at his thread over here.

Hope this helps,
Monsie

_________________
My username is pronounced: "mun-see". Derived from my surname, it was my nickname throughout high school.
Back to top
View user's profile Send private message 
sullysat


Joined: 16 Oct 2007
Posts: 364
Location: San Antonio, TX

PostPosted: Sun 24 Mar 2013, 10:42    Post subject:  

Thanks Ray and Monsie,

I'll take a look at both these options and we'll see how it goes.

For me, this is a (perhaps) longer term issue than just updating the browser in 4X. I've built a hobby around refurbishing old hardware and Puppy is one of the distros I load most frequently on these machines, which I then find homes for where I can. While I'm starting to get P4's handed to me that can run the newer Pups, I find much more satisfaction in keeping the early Pentiums (and sometimes older) out of the landfills.

I used Classic Puppy for this a lot, but that's not everyone's cup of tea and, given that we seem to be moving away from the Puppies with support for older hardware, I decided to add some of them to my mirror.

Adding a mirror is nice and all, but without software to add to it, and a current browser, it's just space on my host gone to waste. Unfortunately, I didn't have the foresight to hoard more of the software I was using back in the 4.3.1 days, which I loved, so I'm trying to make up for that now.

Thanks for the help - and the help to come.
Sully

_________________
Puppy Files Mirror - http://www.wisdom-seekers.com/puppy.html
Classic Puppy Page - http://www.wisdom-seekers.com/puppy214x.html
Back to top
View user's profile Send private message 
sullysat


Joined: 16 Oct 2007
Posts: 364
Location: San Antonio, TX

PostPosted: Sun 24 Mar 2013, 13:35    Post subject:  

Ray MK wrote:
Would this work?

Pemasu wrote:
How I would update them. I would download from Seamonkey site the latest one, uncompress it and then I would swap the contents of /usr/lib/seamonkey folder, in this case the folder /usr/lib/seamonkey-2.13.1. That way you would get the latest Seamonkey and you would be in update channel and no need to eat savefile more than needed.

Presumably the same process could be used for any browser.

Just tried it in UP-3.8.3.1 and it works - fantastic - so easy. Now running SM-2.17b1 - nice.

Anyone using 4.3.1 want to give it a go and report?


Well, I tried this on 4.3.1 (using a VM) and it's not as easy as this makes it sound. If I "swap" the contents of the folder (actually /usr/lib/seamonkey-something) nothing works after I'm done.

Now, I HAVE tracked down two repositories for packages that are supposed to work on 4.3.1 , Firefox being one that does appear to play video and display Wordpress sites accurately, but THIS idea - Getting the browser to check and update, is the best solution.

Over the years, I've read a number of how-tos about how to do this, but they all seem to be Puppy version specific. I'd love to understand how to do this properly.

Sully

_________________
Puppy Files Mirror - http://www.wisdom-seekers.com/puppy.html
Classic Puppy Page - http://www.wisdom-seekers.com/puppy214x.html
Back to top
View user's profile Send private message 
sullysat


Joined: 16 Oct 2007
Posts: 364
Location: San Antonio, TX

PostPosted: Sun 24 Mar 2013, 13:38    Post subject: Re: Updated browsers and other software for Puppy 4.3.1  

Monsie wrote:
sullysat,

Shinobar put together a fairly recent version of SeaMonkey last year as a sfs package. I haven't tested it yet, but it is supposed to work in Puppy 4x (as well as Puppy 5x) and it includes the dbus files (dependancies). Have a look at his thread over here.

Hope this helps,
Monsie


Hey Monsie, I followed this thread and found what I think is probably Shinobar's pet repository, so that's a great find.

I'm going to spend some time installing and testing some of these more popular apps for the "collection" that I'll post, so thanks again for the pointer.

As for the browser, it's good to have the choices, but the best option is to get the updates and stay current - preferrably on Seamonkey. I've never understood why this hasn't been the case all along.

Sully

_________________
Puppy Files Mirror - http://www.wisdom-seekers.com/puppy.html
Classic Puppy Page - http://www.wisdom-seekers.com/puppy214x.html
Back to top
View user's profile Send private message 
Monsie


Joined: 01 Dec 2011
Posts: 633
Location: Kamloops BC Canada

PostPosted: Sun 24 Mar 2013, 16:01    Post subject: Updated browsers and other software for Puppy 4.3.1  

sullysat wrote:
Quote:
As for the browser, it's good to have the choices, but the best option is to get the updates and stay current - preferrably on Seamonkey. I've never understood why this hasn't been the case all along.


SeaMonkey 2.12 might be the latest version that you can use. Later versions will not compile (in Wary, for example) because the dependancies have been upgraded. See Barry's Blog here.

Monsie

_________________
My username is pronounced: "mun-see". Derived from my surname, it was my nickname throughout high school.
Back to top
View user's profile Send private message 
proebler

Joined: 24 Jan 2012
Posts: 70
Location: TAS

PostPosted: Mon 25 Mar 2013, 08:12    Post subject: Updated browsers and other software for Puppy 4.3.1  

sullysat,

for what it is worth.
On my PC I have a copy of Puppy-NOP-4.1 [xfce, with Thunar] which I don't normally use anymore.
It has Opera as a browser.
After reading your post I thought, I'll try to use Seamonkey 2.16 on that system.

I usually use the method of replacing the directory /usr/lib/seamonkey in order to have an up-to-date version of the browser.
So I already had a copy of the fairly recent ver. 2.16.
I download new versions as .tar.bz2 directly from http://www.seamonkey-project.org/.

Seamonkey was not present on this NOP-4.1 so I simply copied it into /usr/lib/ then opened the directory and clicked /usr/lib/seamonkey/seamonkey .
Result: Seamonkey 2.16 is now up and running, I am posting this from it.
Very easy!

Perhaps this can work for you on 4.3.1 too.

cheers
proebler
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0668s ][ Queries: 11 (0.0043s) ][ GZIP on ]